package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.HelpActivity;

import javax.xml.crypto.Data;

/**
 * <p>
 * 助力活动  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-10-17
 */
public interface IHelpActivityService extends IService<HelpActivity> {
    /**
     * 活动助力列表
     * @param pageNum
     * @param pageSize
     * @param cityId
     * @param buildingId
     * @param title
     * @param startDate
     * @param endDate
     * @param activityStatus
     * @param orgId
     * @return
     */
    ResponseBean helpActivityList(Integer pageNum, Integer pageSize, Integer cityId, String buildingId, String title, Data startDate, Data endDate, Integer activityStatus, Integer orgId);

    /**
     * 活动助力添加
     * @param helpActivity
     */
    void helpActivityAdd(HelpActivity helpActivity,Integer orgId);

    /**
     * 活动助力修改
     * @param helpActivity
     * @return
     */
    void helpActivityUpdate(HelpActivity helpActivity);

    /**
     * 助力记录（成功，进行中，失败）
     * @param helpActivityId
     * @return
     */
    ResponseBean helpRecord(Integer helpActivityId,String status,Integer pageNum,Integer pageSize);

    /**
     * 当前发起人的助力人数
     * @param helpRecordInitiateId
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseBean taHelpRecordDetails(Integer helpRecordInitiateId, Integer pageNum, Integer pageSize);

    /**
     * 验证核销码是否正确
     * @param helpRecordInitiateId
     * @param verifyCode
     * @return
     */
    ResponseBean helpInitiateRecordVerify(Integer helpRecordInitiateId, Integer verifyCode);
}
